.givewp-campaign-comment-block-card {
    display: flex;
    gap: var(--givewp-spacing-3);
    padding: var(--givewp-spacing-4) 0
}

.givewp-campaign-comment-block-card__avatar {
    align-items: center;
    border-radius: 50%;
    display: flex;
    height: 40px;
    justify-content: center;
    width: 40px
}

.givewp-campaign-comment-block-card__avatar img {
    align-items: center;
    border-radius: 50%;
    display: flex;
    height: auto;
    justify-content: center;
    min-width: 40px;
    width: 100%
}

.givewp-campaign-comment-block-card__donor-name {
    color: var(--givewp-neutral-700);
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.5;
    margin: 0;
    text-align: left
}

.givewp-campaign-comment-block-card__details {
    align-items: center;
    color: var(--givewp-neutral-400);
    display: flex;
    font-size: .875rem;
    font-weight: 500;
    gap: var(--givewp-spacing-2);
    height: auto;
    line-height: 1.43;
    margin: 2px 0 var(--givewp-spacing-3) 0;
    text-align: left
}

.givewp-campaign-comment-block-card__comment {
    color: var(--givewp-neutral-700);
    font-size: 1rem;
    line-height: 1.5;
    margin: 0;
    text-align: left
}

.givewp-campaign-comment-block-card__read-more {
    background: none;
    border: none;
    color: var(--givewp-blue-500);
    cursor: pointer;
    font-size: .875rem;
    line-height: 1.43;
    outline: none;
    padding: 0
}

.givewp-campaign-comments-block-empty-state {
    align-items: center;
    background-color: var(--givewp-shades-white);
    border: 1px solid var(--givewp-neutral-50);
    border-radius: .5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: var(--givewp-spacing-6)
}

.givewp-campaign-comments-block-empty-state__details {
    align-items: center;
    display: flex;
    flex-direction: column;
    gap: var(--givewp-spacing-1);
    justify-content: center;
    margin: .875rem 0
}

.givewp-campaign-comments-block-empty-state__title {
    color: var(--givewp-neutral-700);
    font-size: 1rem;
    font-weight: 500;
    margin: 0
}

.givewp-campaign-comments-block-empty-state__description {
    color: var(--givewp-neutral-700);
    font-size: .875rem;
    line-height: 1.43;
    margin: 0
}

.givewp-campaign-comment-block {
    background-color: var(--givewp-shades-white);
    display: flex;
    flex-direction: column;
    gap: var(--givewp-spacing-2);
    padding: var(--givewp-spacing-6) 0
}

.givewp-campaign-comment-block__title {
    color: var(--givewp-neutral-900);
    font-size: 18px;
    font-weight: 600;
    line-height: 1.56;
    margin: 0;
    text-align: left
}

.givewp-campaign-comment-block__cta {
    align-items: center;
    background-color: var(--givewp-neutral-50);
    border-radius: 4px;
    color: var(--giewp-neutral-500);
    display: flex;
    font-size: 14px;
    font-weight: 600;
    gap: 8px;
    height: 36px;
    line-height: 1.43;
    margin: 0;
    padding: var(--givewp-spacing-2) var(--givewp-spacing-4);
    text-align: left
}

.givewp-campaign-selector {
    border: 1px solid #e5e7eb;
    border-radius: 5px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .05);
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 40px 24px
}

.givewp-campaign-selector__label {
    padding-bottom: 16px
}

.givewp-campaign-selector__select input[type=text]:focus {
    border-color: transparent;
    box-shadow: 0 0 0 1px transparent;
    outline: 2px solid transparent
}

.givewp-campaign-selector__logo {
    align-self: center
}

.givewp-campaign-selector__open {
    background: #2271b1;
    border: none;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    padding: .5rem 1rem
}

.givewp-campaign-selector__submit {
    background-color: #27ae60;
    border: 0;
    border-radius: 5px;
    color: #fff;
    font-weight: 700;
    outline: none;
    padding: 1rem;
    text-align: center;
    transition: .2s;
    width: 100%
}

.givewp-campaign-selector__submit:disabled {
    background-color: #f3f4f6;
    color: #9ca0af
}

.givewp-campaign-selector__submit:hover:not(:disabled) {
    cursor: pointer;
    filter: brightness(1.2)
}

.givewp-campaign-cover-block__button {
    align-items: center;
    border: 1px solid #2271b1;
    border-radius: 2px;
    color: #2271b1;
    display: flex;
    justify-content: center;
    margin-bottom: .5rem;
    min-height: 32px;
    width: 100%
}

.givewp-campaign-cover-block__image {
    border-radius: 2px;
    display: flex;
    flex-grow: 1;
    margin-bottom: .5rem;
    max-height: 4.44rem;
    -o-object-fit: cover;
    object-fit: cover;
    width: 100%
}

.givewp-campaign-cover-block__help-text {
    color: #4b5563;
    font-size: .75rem;
    font-stretch: normal;
    font-style: normal;
    font-weight: 400;
    letter-spacing: normal;
    line-height: 1.4;
    text-align: left
}

.givewp-campaign-cover-block__edit-campaign-link {
    align-items: center;
    display: inline-flex;
    font-size: .75rem;
    font-stretch: normal;
    font-style: normal;
    font-weight: 400;
    gap: .125rem;
    line-height: 1.4
}

.givewp-campaign-cover-block__edit-campaign-link svg {
    fill: currentColor;
    height: 1.25rem;
    width: 1.25rem
}

.givewp-campaign-cover-block-preview__image {
    align-items: center;
    display: flex;
    height: 100%;
    justify-content: center;
    width: 100%
}

.givewp-campaign-donations-block {
    padding: 1.5rem 0
}

.givewp-campaign-donations-block * {
    font-family: Inter, sans-serif
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__header {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin-bottom: .5rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__title {
    color: var(--givewp-neutral-900);
    font-size: 1.125rem;
    font-weight: 600;
    line-height: 1.56;
    margin: 0
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donations {
    display: grid;
    gap: .5rem;
    margin: 0;
    padding: 0
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation,
.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-state {
    background-color: var(--givewp-shades-white);
    border: 1px solid var(--givewp-neutral-50);
    border-radius: .5rem;
    display: flex;
    padding: 1rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation {
    align-items: center;
    gap: .75rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-icon {
    align-items: center;
    display: flex
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-icon img {
    border-radius: 100%;
    height: 2.5rem;
    -o-object-fit: cover;
    object-fit: cover;
    width: 2.5rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    row-gap: .25rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-description {
    color: var(--givewp-neutral-500);
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.5;
    margin: 0
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-description strong {
    color: var(--givewp-neutral-700);
    font-weight: 600
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-date {
    align-items: center;
    color: var(--givewp-neutral-400);
    display: flex;
    font-size: .875rem;
    font-weight: 500;
    line-height: 1.43
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-ribbon {
    align-items: center;
    border-radius: 100%;
    color: #1f2937;
    display: flex;
    height: 1.25rem;
    justify-content: center;
    margin-left: auto;
    width: 1.25rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-ribbon[data-position="1"] {
    background-color: gold
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-ribbon[data-position="2"] {
    background-color: silver
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-ribbon[data-position="3"] {
    background-color: #cd7f32;
    color: #fffaf2
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donation-amount {
    color: var(--givewp-neutral-700);
    font-size: 1.125rem;
    font-weight: 600;
    line-height: 1.56;
    margin-left: auto
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__footer {
    display: flex;
    justify-content: center;
    margin-top: .5rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donate-button button.givewp-donation-form-modal__open,
.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-button button.givewp-donation-form-modal__open,
.givewp-campaign-donations-block .givewp-campaign-donations-block__load-more-button {
    background: none;
    border: 1px solid var(--givewp-primary-color);
    border-radius: .5rem;
    color: var(--givewp-primary-color) !important;
    font-size: .875rem;
    font-weight: 600;
    line-height: 1.43;
    padding: .25rem 1rem !important
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__donate-button button.givewp-donation-form-modal__open:hover,
.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-button button.givewp-donation-form-modal__open:hover,
.givewp-campaign-donations-block .givewp-campaign-donations-block__load-more-button:hover {
    background: var(--givewp-primary-color);
    color: var(--givewp-shades-white) !important
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-state {
    align-items: center;
    flex-direction: column;
    padding: 1.5rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-description,
.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-title {
    color: var(--givewp-neutral-700);
    margin: 0
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-title {
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.5
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-description {
    font-size: .875rem;
    line-height: 1.43;
    margin-top: .25rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-icon {
    color: var(--givewp-secondary-color);
    margin-bottom: .875rem;
    order: -1
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-button {
    margin-top: .875rem
}

.givewp-campaign-donations-block .givewp-campaign-donations-block__empty-button button.givewp-donation-form-modal__open {
    border-radius: .25rem;
    padding: .5rem 1rem !important
}

.givewp-campaign-donors-block {
    padding: 1.5rem 0
}

.givewp-campaign-donors-block * {
    font-family: Inter, sans-serif
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__header {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin-bottom: .5rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__title {
    color: var(--givewp-neutral-900);
    font-size: 1.125rem;
    font-weight: 600;
    line-height: 1.56;
    margin: 0
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donors {
    display: grid;
    gap: .5rem;
    margin: 0;
    padding: 0
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor,
.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-state {
    background-color: var(--givewp-shades-white);
    border: 1px solid var(--givewp-neutral-50);
    border-radius: .5rem;
    display: flex;
    padding: 1rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor {
    align-items: center;
    gap: .75rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-avatar {
    align-items: center;
    display: flex
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-avatar img {
    border-radius: 100%;
    height: 2.5rem;
    -o-object-fit: cover;
    object-fit: cover;
    width: 2.5rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-info {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    row-gap: .25rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-name {
    color: var(--givewp-neutral-900);
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.5;
    margin: 0
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-date {
    align-items: center;
    color: var(--givewp-neutral-400);
    display: flex;
    font-size: .875rem;
    font-weight: 500;
    line-height: 1.43
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-date:before {
    background: var(--givewp-neutral-100);
    border-radius: 100%;
    content: "";
    display: block;
    height: .25rem;
    margin: 0 .5rem;
    width: .25rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-ribbon {
    align-items: center;
    border-radius: 100%;
    color: #1f2937;
    display: flex;
    height: 1.25rem;
    justify-content: center;
    margin-left: .5rem;
    width: 1.25rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-ribbon[data-position="1"] {
    background-color: gold
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-ribbon[data-position="2"] {
    background-color: silver
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-ribbon[data-position="3"] {
    background-color: #cd7f32;
    color: #fffaf2
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-company {
    color: var(--givewp-neutral-400);
    display: flex;
    flex: 0 0 100%;
    font-size: .875rem;
    font-weight: 500;
    line-height: 1.43
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donor-amount {
    color: var(--givewp-neutral-700);
    font-size: 1.125rem;
    font-weight: 600;
    line-height: 1.56;
    margin-left: auto
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__footer {
    display: flex;
    justify-content: center;
    margin-top: .5rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donate-button button.givewp-donation-form-modal__open,
.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-button button.givewp-donation-form-modal__open,
.givewp-campaign-donors-block .givewp-campaign-donors-block__load-more-button {
    background: none;
    border: 1px solid var(--givewp-primary-color);
    border-radius: .5rem;
    color: var(--givewp-primary-color) !important;
    font-size: .875rem;
    font-weight: 600;
    line-height: 1.43;
    padding: .25rem 1rem !important
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__donate-button button.givewp-donation-form-modal__open:hover,
.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-button button.givewp-donation-form-modal__open:hover,
.givewp-campaign-donors-block .givewp-campaign-donors-block__load-more-button:hover {
    background: var(--givewp-primary-color);
    color: var(--givewp-shades-white) !important
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-state {
    align-items: center;
    flex-direction: column;
    padding: 1.5rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-description,
.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-title {
    color: var(--givewp-neutral-700);
    margin: 0
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-title {
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.5
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-description {
    font-size: .875rem;
    line-height: 1.43;
    margin-top: .25rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-icon {
    color: var(--givewp-secondary-color);
    margin-bottom: .875rem;
    order: -1
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-button {
    margin-top: .875rem
}

.givewp-campaign-donors-block .givewp-campaign-donors-block__empty-button button.givewp-donation-form-modal__open {
    border-radius: .25rem;
    padding: .5rem 1rem !important
}

.givewp-campaign-goal {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    padding-bottom: 1rem
}

.givewp-campaign-goal__container {
    display: flex;
    flex-direction: row;
    justify-content: space-between
}

.givewp-campaign-goal__container-item {
    display: flex;
    flex-direction: column;
    gap: .2rem
}

.givewp-campaign-goal__container-item span {
    color: var(--givewp-neutral-500);
    font-size: 12px;
    font-weight: 600;
    letter-spacing: .48px;
    line-height: 1.5;
    text-transform: uppercase
}

.givewp-campaign-goal__container-item strong {
    color: var(--givewp-neutral-900);
    font-size: 20px;
    font-weight: 600;
    line-height: 1.6
}

.givewp-campaign-goal__progress-bar {
    display: flex
}

.givewp-campaign-goal__progress-bar-container {
    background-color: #f2f2f2;
    border-radius: 14px;
    box-shadow: inset 0 1px 4px 0 rgba(0, 0, 0, .09);
    display: flex;
    flex-grow: 1;
    height: 8px
}

.givewp-campaign-goal__progress-bar-progress {
    background-color: #2d802f;
    border-radius: 14px;
    box-shadow: inset 0 1px 4px 0 rgba(0, 0, 0, .09);
    display: flex;
    height: 8px
}

.givewp-campaign-stats-block span {
    color: var(--givewp-neutral-500);
    display: block;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: .48px;
    line-height: 1.5;
    margin-bottom: 2px;
    text-align: left;
    text-transform: uppercase
}

.givewp-campaign-stats-block strong {
    color: var(--givewp-neutral-900);
    font-size: 20px;
    font-weight: 600;
    letter-spacing: normal;
    line-height: 1.6
}

.givewp-campaign-donate-button-block .givewp-donation-form-modal__open,
.wp-block-givewp-campaign-donate-button .givewp-donation-form-modal__open {
    line-height: 1.5;
    transition: all .2s ease;
    width: 100%
}

.givewp-campaign-donate-button-block .givewp-donation-form-modal__open:hover,
.wp-block-givewp-campaign-donate-button .givewp-donation-form-modal__open:hover {
    background-color: color-mix(in srgb, var(--givewp-primary-color), #000 20%)
}

/*! This file is auto-generated */
.wp-block-button__link {
    color: #fff;
    background-color: #32373c;
    border-radius: 9999px;
    box-shadow: none;
    text-decoration: none;
    padding: calc(.667em + 2px) calc(1.333em + 2px);
    font-size: 1.125em
}

.wp-block-file__button {
    background: #32373c;
    color: #fff;
    text-decoration: none
}

:root {
    --wp--preset--aspect-ratio--square: 1;
    --wp--preset--aspect-ratio--4-3: 4/3;
    --wp--preset--aspect-ratio--3-4: 3/4;
    --wp--preset--aspect-ratio--3-2: 3/2;
    --wp--preset--aspect-ratio--2-3: 2/3;
    --wp--preset--aspect-ratio--16-9: 16/9;
    --wp--preset--aspect-ratio--9-16: 9/16;
    --wp--preset--color--black: #000000;
    --wp--preset--color--cyan-bluish-gray: #abb8c3;
    --wp--preset--color--white: #ffffff;
    --wp--preset--color--pale-pink: #f78da7;
    --wp--preset--color--vivid-red: #cf2e2e;
    --wp--preset--color--luminous-vivid-orange: #ff6900;
    --wp--preset--color--luminous-vivid-amber: #fcb900;
    --wp--preset--color--light-green-cyan: #7bdcb5;
    --wp--preset--color--vivid-green-cyan: #00d084;
    --wp--preset--color--pale-cyan-blue: #8ed1fc;
    --wp--preset--color--vivid-cyan-blue: #0693e3;
    --wp--preset--color--vivid-purple: #9b51e0;
    --wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg, rgba(6, 147, 227, 1) 0%, rgb(155, 81, 224) 100%);
    --wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg, rgb(122, 220, 180) 0%, rgb(0, 208, 130) 100%);
    --wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg, rgba(252, 185, 0, 1) 0%, rgba(255, 105, 0, 1) 100%);
    --wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg, rgba(255, 105, 0, 1) 0%, rgb(207, 46, 46) 100%);
    --wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg, rgb(238, 238, 238) 0%, rgb(169, 184, 195) 100%);
    --wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg, rgb(74, 234, 220) 0%, rgb(151, 120, 209) 20%, rgb(207, 42, 186) 40%, rgb(238, 44, 130) 60%, rgb(251, 105, 98) 80%, rgb(254, 248, 76) 100%);
    --wp--preset--gradient--blush-light-purple: linear-gradient(135deg, rgb(255, 206, 236) 0%, rgb(152, 150, 240) 100%);
    --wp--preset--gradient--blush-bordeaux: linear-gradient(135deg, rgb(254, 205, 165) 0%, rgb(254, 45, 45) 50%, rgb(107, 0, 62) 100%);
    --wp--preset--gradient--luminous-dusk: linear-gradient(135deg, rgb(255, 203, 112) 0%, rgb(199, 81, 192) 50%, rgb(65, 88, 208) 100%);
    --wp--preset--gradient--pale-ocean: linear-gradient(135deg, rgb(255, 245, 203) 0%, rgb(182, 227, 212) 50%, rgb(51, 167, 181) 100%);
    --wp--preset--gradient--electric-grass: linear-gradient(135deg, rgb(202, 248, 128) 0%, rgb(113, 206, 126) 100%);
    --wp--preset--gradient--midnight: linear-gradient(135deg, rgb(2, 3, 129) 0%, rgb(40, 116, 252) 100%);
    --wp--preset--font-size--small: 13px;
    --wp--preset--font-size--medium: 20px;
    --wp--preset--font-size--large: 36px;
    --wp--preset--font-size--x-large: 42px;
    --wp--preset--spacing--20: 0.44rem;
    --wp--preset--spacing--30: 0.67rem;
    --wp--preset--spacing--40: 1rem;
    --wp--preset--spacing--50: 1.5rem;
    --wp--preset--spacing--60: 2.25rem;
    --wp--preset--spacing--70: 3.38rem;
    --wp--preset--spacing--80: 5.06rem;
    --wp--preset--shadow--natural: 6px 6px 9px rgba(0, 0, 0, 0.2);
    --wp--preset--shadow--deep: 12px 12px 50px rgba(0, 0, 0, 0.4);
    --wp--preset--shadow--sharp: 6px 6px 0px rgba(0, 0, 0, 0.2);
    --wp--preset--shadow--outlined: 6px 6px 0px -3px rgba(255, 255, 255, 1), 6px 6px rgba(0, 0, 0, 1);
    --wp--preset--shadow--crisp: 6px 6px 0px rgba(0, 0, 0, 1);
}

:where(.is-layout-flex) {
    gap: 0.5em;
}

:where(.is-layout-grid) {
    gap: 0.5em;
}

body .is-layout-flex {
    display: flex;
}

.is-layout-flex {
    flex-wrap: wrap;
    align-items: center;
}

.is-layout-flex> :is(*, div) {
    margin: 0;
}

body .is-layout-grid {
    display: grid;
}

.is-layout-grid> :is(*, div) {
    margin: 0;
}

:where(.wp-block-columns.is-layout-flex) {
    gap: 2em;
}

:where(.wp-block-columns.is-layout-grid) {
    gap: 2em;
}

:where(.wp-block-post-template.is-layout-flex) {
    gap: 1.25em;
}

:where(.wp-block-post-template.is-layout-grid) {
    gap: 1.25em;
}

.has-black-color {
    color: var(--wp--preset--color--black) !important;
}

.has-cyan-bluish-gray-color {
    color: var(--wp--preset--color--cyan-bluish-gray) !important;
}

.has-white-color {
    color: var(--wp--preset--color--white) !important;
}

.has-pale-pink-color {
    color: var(--wp--preset--color--pale-pink) !important;
}

.has-vivid-red-color {
    color: var(--wp--preset--color--vivid-red) !important;
}

.has-luminous-vivid-orange-color {
    color: var(--wp--preset--color--luminous-vivid-orange) !important;
}

.has-luminous-vivid-amber-color {
    color: var(--wp--preset--color--luminous-vivid-amber) !important;
}

.has-light-green-cyan-color {
    color: var(--wp--preset--color--light-green-cyan) !important;
}

.has-vivid-green-cyan-color {
    color: var(--wp--preset--color--vivid-green-cyan) !important;
}

.has-pale-cyan-blue-color {
    color: var(--wp--preset--color--pale-cyan-blue) !important;
}

.has-vivid-cyan-blue-color {
    color: var(--wp--preset--color--vivid-cyan-blue) !important;
}

.has-vivid-purple-color {
    color: var(--wp--preset--color--vivid-purple) !important;
}

.has-black-background-color {
    background-color: var(--wp--preset--color--black) !important;
}

.has-cyan-bluish-gray-background-color {
    background-color: var(--wp--preset--color--cyan-bluish-gray) !important;
}

.has-white-background-color {
    background-color: var(--wp--preset--color--white) !important;
}

.has-pale-pink-background-color {
    background-color: var(--wp--preset--color--pale-pink) !important;
}

.has-vivid-red-background-color {
    background-color: var(--wp--preset--color--vivid-red) !important;
}

.has-luminous-vivid-orange-background-color {
    background-color: var(--wp--preset--color--luminous-vivid-orange) !important;
}

.has-luminous-vivid-amber-background-color {
    background-color: var(--wp--preset--color--luminous-vivid-amber) !important;
}

.has-light-green-cyan-background-color {
    background-color: var(--wp--preset--color--light-green-cyan) !important;
}

.has-vivid-green-cyan-background-color {
    background-color: var(--wp--preset--color--vivid-green-cyan) !important;
}

.has-pale-cyan-blue-background-color {
    background-color: var(--wp--preset--color--pale-cyan-blue) !important;
}

.has-vivid-cyan-blue-background-color {
    background-color: var(--wp--preset--color--vivid-cyan-blue) !important;
}

.has-vivid-purple-background-color {
    background-color: var(--wp--preset--color--vivid-purple) !important;
}

.has-black-border-color {
    border-color: var(--wp--preset--color--black) !important;
}

.has-cyan-bluish-gray-border-color {
    border-color: var(--wp--preset--color--cyan-bluish-gray) !important;
}

.has-white-border-color {
    border-color: var(--wp--preset--color--white) !important;
}

.has-pale-pink-border-color {
    border-color: var(--wp--preset--color--pale-pink) !important;
}

.has-vivid-red-border-color {
    border-color: var(--wp--preset--color--vivid-red) !important;
}

.has-luminous-vivid-orange-border-color {
    border-color: var(--wp--preset--color--luminous-vivid-orange) !important;
}

.has-luminous-vivid-amber-border-color {
    border-color: var(--wp--preset--color--luminous-vivid-amber) !important;
}

.has-light-green-cyan-border-color {
    border-color: var(--wp--preset--color--light-green-cyan) !important;
}

.has-vivid-green-cyan-border-color {
    border-color: var(--wp--preset--color--vivid-green-cyan) !important;
}

.has-pale-cyan-blue-border-color {
    border-color: var(--wp--preset--color--pale-cyan-blue) !important;
}

.has-vivid-cyan-blue-border-color {
    border-color: var(--wp--preset--color--vivid-cyan-blue) !important;
}

.has-vivid-purple-border-color {
    border-color: var(--wp--preset--color--vivid-purple) !important;
}

.has-vivid-cyan-blue-to-vivid-purple-gradient-background {
    background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;
}

.has-light-green-cyan-to-vivid-green-cyan-gradient-background {
    background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;
}

.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background {
    background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;
}

.has-luminous-vivid-orange-to-vivid-red-gradient-background {
    background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;
}

.has-very-light-gray-to-cyan-bluish-gray-gradient-background {
    background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;
}

.has-cool-to-warm-spectrum-gradient-background {
    background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;
}

.has-blush-light-purple-gradient-background {
    background: var(--wp--preset--gradient--blush-light-purple) !important;
}

.has-blush-bordeaux-gradient-background {
    background: var(--wp--preset--gradient--blush-bordeaux) !important;
}

.has-luminous-dusk-gradient-background {
    background: var(--wp--preset--gradient--luminous-dusk) !important;
}

.has-pale-ocean-gradient-background {
    background: var(--wp--preset--gradient--pale-ocean) !important;
}

.has-electric-grass-gradient-background {
    background: var(--wp--preset--gradient--electric-grass) !important;
}

.has-midnight-gradient-background {
    background: var(--wp--preset--gradient--midnight) !important;
}

.has-small-font-size {
    font-size: var(--wp--preset--font-size--small) !important;
}

.has-medium-font-size {
    font-size: var(--wp--preset--font-size--medium) !important;
}

.has-large-font-size {
    font-size: var(--wp--preset--font-size--large) !important;
}

.has-x-large-font-size {
    font-size: var(--wp--preset--font-size--x-large) !important;
}

:where(.wp-block-post-template.is-layout-flex) {
    gap: 1.25em;
}

:where(.wp-block-post-template.is-layout-grid) {
    gap: 1.25em;
}

:where(.wp-block-columns.is-layout-flex) {
    gap: 2em;
}

:where(.wp-block-columns.is-layout-grid) {
    gap: 2em;
}

:root :where(.wp-block-pullquote) {
    font-size: 1.5em;
    line-height: 1.6;
}